UbuntuUpdates.org

Package "libgcrypt20"

Name: libgcrypt20

Description:

LGPL Crypto library - runtime library

Latest version: 1.8.4-5ubuntu2.1
Release: eoan (19.10)
Level: security
Repository: main
Homepage: https://directory.fsf.org/project/libgcrypt/

Links

Save this URL for the latest version of "libgcrypt20": https://www.ubuntuupdates.org/libgcrypt20


Download "libgcrypt20"


Other versions of "libgcrypt20" in Eoan

Repository Area Version
base universe 1.8.4-5ubuntu2
base main 1.8.4-5ubuntu2
security universe 1.8.4-5ubuntu2.1
updates main 1.8.4-5ubuntu2.1
updates universe 1.8.4-5ubuntu2.1

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 1.8.4-5ubuntu2.1 2020-01-13 17:06:57 UTC

  libgcrypt20 (1.8.4-5ubuntu2.1) eoan-security; urgency=medium

  * SECURITY UPDATE: ECDSA timing attack
    - debian/patches/CVE-2019-13627-1.patch: add mitigation against timing
      attack in cipher/ecc-ecdsa.c, mpi/ec.c.
    - debian/patches/CVE-2019-13627-2.patch: fix use of nonce, use larger
      one in cipher/dsa-common.c, cipher/dsa.c, cipher/ecc-ecdsa.c,
      cipher/ecc-gost.c, cipher/pubkey-internal.h.
    - CVE-2019-13627

 -- Marc Deslauriers <email address hidden> Thu, 28 Nov 2019 13:50:59 -0500

CVE-2019-13627 It was discovered that there was a ECDSA timing attack in the libgcrypt20 cryptographic library. Version affected: 1.8.4-5, 1.7.6-2+deb9u3, and 1.6.3



About   -   Send Feedback to @ubuntu_updates